xcp(1)

Name

xcp — proof-of-concept cp(1) with alternate copying mechanisms

Syntax

xcp [-m|--mmap] [-s|--splice] fromfile tofile

Description

Copies the file from src to dst using mmap(2) or splice(2) instead of the read(2)-write(2) cycle that is normally used. mmap may actually be faster than the r/w cycle.

Options

-m, --mmap
    Select mmap copying mode. This is the default.

-s, --splice
    Select splice copying mode.